%global rbname ming
Summary: Ming/Ruby
Name: ruby-%{rbname}

%global momorel 3

Version: 0.1.6
Release: %{momorel}m
Group:  Applications/Multimedia
License: GPL
URL: http://madscientist.jp/~ikegami/ruby/ming/

%NoSource 0 http://madscientist.jp/~ikegami/sources/ming-ruby-%{version}.tar.gz df39e476dc4b93e8142c510d61369ffd

Patch0: ruby-ming-fonts.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.0
BuildPreReq: jaming-devel

%description
Ming/Ruby is yet another implementation of Ming embedding for Ruby extension
library without SWIG. Ming/Ruby also supports JaMing which is an improvement
of Ming to display Japanese characters. To use Japanese fonts with JaMing,
the letters must be followed the UTF-8 formats. Uconv, which is an UTF-8
extension library for Ruby, can be used.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n ming-ruby-%{version}
%patch -p1 -b .fonts
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755

%build
ruby setup.rb config \
    --bin-dir=%{_bindir} \
    --rb-dir=%{ruby_libdir} \
    --so-dir=%{ruby_archdir}
ruby setup.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir}
ruby setup.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README.* fonts.* progress.rd LGPL examples
%{ruby_archdir}/ming

%changelog
* Sun Apr 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.6-3m)
- revise permissions of docdir

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.1.6-2m)
- revised spec for rpm 4.2.

* Thu Jan 22 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.1.6-1m)
- update to version 0.1.6
- revise URL

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.4-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.4-2m)
- rebuild against ruby-1.8.0.

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.1.4-1m)
- initial revision
